<html>
<head>
<title>Ogre::TangentSpaceCalc::VertexInfo Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1TangentSpaceCalc.html">TangentSpaceCalc</a>      </li>
      <li class="navelem"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html">VertexInfo</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::TangentSpaceCalc::VertexInfo Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::TangentSpaceCalc::VertexInfo" -->
<p><code>#include &lt;<a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>&gt;</code></p>

<p><a href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#a3214bb9e83af1ceeb8c59a80b1424a50">VertexInfo</a> ()</td></tr>
<tr><td colspan="2"><h2><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#a53e690638ce9f5661960a083d261db85">pos</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#aa7ae945a733fadff16e4955389fb5278">norm</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#a5d900bd283f3c9392870e69c9d6dccea">uv</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#a705c12ce272ffcb5eca147260c103a4c">tangent</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#ad7be8545889a2b044e00b96a8090fbeb">binormal</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#abe5d125c575e64d4243ded38b3a02a33">parity</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#a1ac275a7c37232ca750b556ecaf8ef13">oppositeParityIndex</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00195">195</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a3214bb9e83af1ceeb8c59a80b1424a50"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::VertexInfo::VertexInfo" ref="a3214bb9e83af1ceeb8c59a80b1424a50" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#a3214bb9e83af1ceeb8c59a80b1424a50">Ogre::TangentSpaceCalc::VertexInfo::VertexInfo</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00207">207</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ad7be8545889a2b044e00b96a8090fbeb"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::VertexInfo::binormal" ref="ad7be8545889a2b044e00b96a8090fbeb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#ad7be8545889a2b044e00b96a8090fbeb">Ogre::TangentSpaceCalc::VertexInfo::binormal</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00201">201</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa7ae945a733fadff16e4955389fb5278"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::VertexInfo::norm" ref="aa7ae945a733fadff16e4955389fb5278" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#aa7ae945a733fadff16e4955389fb5278">Ogre::TangentSpaceCalc::VertexInfo::norm</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00198">198</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1ac275a7c37232ca750b556ecaf8ef13"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::VertexInfo::oppositeParityIndex" ref="a1ac275a7c37232ca750b556ecaf8ef13" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#a1ac275a7c37232ca750b556ecaf8ef13">Ogre::TangentSpaceCalc::VertexInfo::oppositeParityIndex</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00205">205</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

</div>
</div>
<a class="anchor" id="abe5d125c575e64d4243ded38b3a02a33"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::VertexInfo::parity" ref="abe5d125c575e64d4243ded38b3a02a33" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int <a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#abe5d125c575e64d4243ded38b3a02a33">Ogre::TangentSpaceCalc::VertexInfo::parity</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00203">203</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

</div>
</div>
<a class="anchor" id="a53e690638ce9f5661960a083d261db85"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::VertexInfo::pos" ref="a53e690638ce9f5661960a083d261db85" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#a53e690638ce9f5661960a083d261db85">Ogre::TangentSpaceCalc::VertexInfo::pos</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00197">197</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

</div>
</div>
<a class="anchor" id="a705c12ce272ffcb5eca147260c103a4c"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::VertexInfo::tangent" ref="a705c12ce272ffcb5eca147260c103a4c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#a705c12ce272ffcb5eca147260c103a4c">Ogre::TangentSpaceCalc::VertexInfo::tangent</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00200">200</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5d900bd283f3c9392870e69c9d6dccea"></a><!-- doxytag: member="Ogre::TangentSpaceCalc::VertexInfo::uv" ref="a5d900bd283f3c9392870e69c9d6dccea" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector2.html">Vector2</a> <a class="el" href="structOgre_1_1TangentSpaceCalc_1_1VertexInfo.html#a5d900bd283f3c9392870e69c9d6dccea">Ogre::TangentSpaceCalc::VertexInfo::uv</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreTangentSpaceCalc_8h_source.html#l00199">199</a> of file <a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreTangentSpaceCalc_8h_source.html">OgreTangentSpaceCalc.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:09
</p>
</body>
</html>
